Package org.apache.sysds.runtime.io

# Class ReaderBinaryBlockParallel

java.lang.Object
org.apache.sysds.runtime.io.MatrixReader
org.apache.sysds.runtime.io.ReaderBinaryBlock
org.apache.sysds.runtime.io.ReaderBinaryBlockParallel

public class ReaderBinaryBlockParallel extends ReaderBinaryBlock

## Constructor Summary

Constructors
Constructor
Description
`ReaderBinaryBlockParallel(boolean localFS)`

## Method Summary

Modifier and Type
Method
Description
`MatrixBlock`
`readMatrixFromHDFS(String fname, long rlen, long clen, int blen, long estnnz)`

### Methods inherited from class org.apache.sysds.runtime.io.ReaderBinaryBlock

`readIndexedMatrixBlocksFromHDFS, readMatrixFromInputStream, setLocalFS`

### Methods inherited from class org.apache.sysds.runtime.io.MatrixReader

`checkValidInputFile`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ReaderBinaryBlockParallel

public ReaderBinaryBlockParallel(boolean localFS)

## Method Details

### readMatrixFromHDFS

public MatrixBlock readMatrixFromHDFS(String fname, long rlen, long clen, int blen, long estnnz) throws IOException, DMLRuntimeException

Overrides:
  `readMatrixFromHDFS` in class `ReaderBinaryBlock`
Throws:
  `IOException`
  `DMLRuntimeException`